LibreOffice LibreOffice 25.8 SDK API Reference

Public Types | Public Member Functions | Public Attributes | List of all members
XObjectInspectorModel Interface Reference

describes the model of an ObjectInspector More...

`import"XObjectInspectorModel.idl";`

Inheritance diagram for XObjectInspectorModel:

## Public Types
typedef sequence< any > | HandlerFactories
| describes a set of factories for creating XPropertyHandlers More...

## Public Member Functions
sequence< PropertyCategoryDescriptor > | describeCategories ()
| describes the property categories used by the property handlers. More...
long | getPropertyOrderIndex ([in] string PropertyName)
| retrieves an index in a global property ordering, for a given property name More...

## Public Attributes
boolean | HasHelpSection
| indicates that the object inspector should have a help section. More...
long | MinHelpTextLines
| denotes the minimum number of lines of text to be reserved for the help section. More...
long | MaxHelpTextLines
| denotes the maximum number of lines of text to be reserved for the help section. More...
boolean | IsReadOnly
| determines whether the object inspector's UI should be read-only. More...

## Detailed Description

describes the model of an ObjectInspector

See also
  ObjectInspector

Since
  OOo 2.0.3

## Member Typedef Documentation

## ◆ HandlerFactories

sequence< any > HandlerFactories
| attribute readonly

describes a set of factories for creating XPropertyHandlers

Every element of the sequence must contain information to create a XPropertyHandler instance. Two ways are currently supported:

- A service name:
  If a sequence element contains a string, this string is interpreted as service name, and a com::sun::star::lang::XMultiComponentFactory is asked to create an instance of this service.
- A factory:
  If a sequence element contains an instance implementing the com::sun::star::lang::XSingleComponentFactory interface, this factory is used to create a property handler.

This attribute is usually only evaluated by the ObjectInspector instance which the model is currently bound to.

The order of factories is important: If two property handlers declare themselves responsible for the same property, the one whose factory is listed last wins. Also, if a handler `B` wants to supersede a property of another handler `A`, `A`'s factory must precede the factory of `B`.

See also
  XPropertyHandler::getSupportedProperties
  XPropertyHandler::getSupersededProperties

## Member Function Documentation

## ◆ describeCategories()

sequence< PropertyCategoryDescriptor > describeCategories | ( |  | ) |

describes the property categories used by the property handlers.

Properties can be sorted into different categories, described by the LineDescriptor::Category attribute, which is filled in XPropertyHandler::describePropertyLine() method of your property handler.
Those names provided by the handlers are programmatic names. All other information about categories is part of the PropertyCategoryDescriptor, and describeCategories() assembles information about all categories which all property handlers provided by the model use.

Returns
  a sequence of category descriptors. Their relative ordering also describes the relative ordering of the categories in the ObjectInspector's user interface.
  The sequence must not contain two entries with the same programmatic name.
  The model implementation might return an empty sequence here, in this case, the ObjectInspector automatically builds its category information from the categories provided by the property handlers.

See also
  PropertyCategoryDescriptor
  LineDescriptor::Category

## ◆ getPropertyOrderIndex()

long getPropertyOrderIndex | ( | [in] string | PropertyName | ) |

retrieves an index in a global property ordering, for a given property name

In the user interface of an ObjectInspector, single properties are represented by single lines, and those lines are displayed successively. To determine an order of the property lines, the inspector model can associate an "order index" with each property. The ObjectInspector will then sort the property lines in a way that they have the same relative ordering as the "order indexes" of their properties.

Note that the concrete value the model returns for a given property does not matter. All what matters is that if you want a certain property `Foo` to be displayed after another property `Bar`, then the order index of `Foo` should be greater than the order index of `Bar`.

If for two different properties the same order index is returned, the ObjectInspector will assume the order in which those properties were provided by the respective property handler (XPropertyHandler::getSupportedProperties()).
If two such properties originate from different handlers, they will be ordered according to the order of the handlers, as provided in the HandlerFactories attribute.

Parameters

  PropertyName | the property whose global order index should be retrieved

Returns
  the global order index of PropertyName.

## Member Data Documentation

## ◆ HasHelpSection

boolean HasHelpSection
| attribute readonly

indicates that the object inspector should have a help section.

The object inspector displays lines of property/values, optionally grouped into categories, as described by the property handlers.
Additionally, the inspector can optionally display a section dedicated to help texts. Clients could use this section to display context-sensitive help, for instance short texts explaining the currently selected property.

Since
  OOo 2.2

## ◆ IsReadOnly

boolean IsReadOnly
| attribute bound

determines whether the object inspector's UI should be read-only.

In this case, the user is able to browse through all properties, but cannot change any of them.

In a read-only object inspector, the property controls are readonly or disabled themselves, and the primary and secondary buttons of a property line are both disabled.

See also
  XPropertyControl
  LineDescriptor

## ◆ MaxHelpTextLines

long MaxHelpTextLines
| attribute readonly

denotes the maximum number of lines of text to be reserved for the help section.

This property is ignored by the ObjectInspector if HasHelpSection is `FALSE`.

The layout of the ObjectInspector is undefined if MaxHelpTextLines is smaller than MinHelpTextLines.

Since
  OOo 2.2

## ◆ MinHelpTextLines

long MinHelpTextLines
| attribute readonly

denotes the minimum number of lines of text to be reserved for the help section.

This property is ignored by the ObjectInspector if HasHelpSection is `FALSE`.

The layout of the ObjectInspector is undefined if MinHelpTextLines is larger than MaxHelpTextLines.

Since
  OOo 2.2

The documentation for this interface was generated from the following file:

- com/sun/star/inspection/XObjectInspectorModel.idl